# These commands are for visual effects:

# These control the text on top of the hotbar
execute as @e[tag=npc,tag=active] at @s if entity @a[distance=..2] run title @a actionbar ["",{"text":"Right click to interact","bold":true,"italic":true,"color":"dark_gray"}]
execute as @e[tag=npc,tag=active] at @s unless entity @a[distance=..2] run title @a actionbar ["",{"text":"","bold":true,"italic":true}]

# These control the glowing effect added to interactibles with the tag "glow"
effect give @e[tag=active,tag=glow,limit=1,sort=nearest] glowing 1 1 true
effect clear @e[tag=!active,tag=glow] glowing

# These commands control the villager mob used for the right click detection and the tag "active"

execute as @a[gamemode=!spectator] at @s run execute as @e[tag=npc,tag=!active,distance=..2] at @s run summon villager ~ ~ ~ {Silent:1b,Invulnerable:1b,NoGravity:1b,PersistenceRequired:1b,NoAI:1b,CareerLevel:100,Offers:{Recipes:[]},ActiveEffects:[{Id:14,Duration:10000000,Amplifier:0b,ShowParticles:0b}],Tags:["right"]}
execute as @a[gamemode=!spectator] at @s run execute as @e[tag=npc,tag=!active,distance=..2] run tag @s add active
execute as @e[tag=npc,tag=active] at @s unless entity @a[distance=..2] run tag @s remove active
execute as @e[tag=npc,tag=!active] at @s run data merge entity @e[tag=right,type=villager,distance=0,limit=1] {Health:0f,DeathTime:19}
execute as @e[type=villager,tag=right] at @s run tp @s @e[limit=1,sort=nearest,tag=npc]

# These commands control the score "dialogue"

execute as @a[scores={right=1}] at @s run scoreboard players add @e[limit=1,sort=nearest,tag=active] dialogue 1
execute as @a[scores={right=1..}] run scoreboard players add @s right 1
execute as @a[scores={right=3..}] run scoreboard players reset @s right
scoreboard players reset @e[tag=!active,tag=!keep] dialogue

# These commands control the player's tag and team

tag @a[tag=!npc] remove active
scoreboard players reset @a[tag=!npc] dialogue
team join collisionPE @a[tag=npc]
team leave @a[tag=!npc]